=== Examples/CMakeLists.txt ===
if (QL_ENABLE_SESSIONS OR QL_ENABLE_SINGLETON_THREAD_SAFE_INIT OR
        QL_ENABLE_THREAD_SAFE_OBSERVER_PATTERN)
    set(QL_EXAMPLES_LIBRARIES Boost::thread ${RT_LIBRARY})
endif()

add_subdirectory(BasketLosses)
add_subdirectory(BermudanSwaption)
add_subdirectory(Bonds)
add_subdirectory(CallableBonds)
add_subdirectory(CDS)
add_subdirectory(ConvertibleBonds)
add_subdirectory(CVAIRS)
add_subdirectory(DiscreteHedging)
add_subdirectory(EquityOption)
add_subdirectory(FittedBondCurve)
add_subdirectory(FRA)
add_subdirectory(Gaussian1dModels)
add_subdirectory(GlobalOptimizer)
add_subdirectory(LatentModel)
add_subdirectory(MarketModels)
add_subdirectory(MultidimIntegral)
add_subdirectory(MulticurveBootstrapping)
add_subdirectory(Replication)
add_subdirectory(Repo)
