=== ql/CMakeLists.txt ===
set(QL_SOURCES
    cashflow.cpp
    cashflows/averagebmacoupon.cpp
    cashflows/capflooredcoupon.cpp
    cashflows/capflooredinflationcoupon.cpp
    cashflows/cashflows.cpp
    cashflows/cashflowvectors.cpp
    cashflows/cmscoupon.cpp
    cashflows/conundrumpricer.cpp
    cashflows/coupon.cpp
    cashflows/couponpricer.cpp
    cashflows/cpicoupon.cpp
    cashflows/cpicouponpricer.cpp
    cashflows/digitalcmscoupon.cpp
    cashflows/digitalcoupon.cpp
    cashflows/digitaliborcoupon.cpp
    cashflows/dividend.cpp
    cashflows/duration.cpp
    cashflows/fixedratecoupon.cpp
    cashflows/floatingratecoupon.cpp
    cashflows/iborcoupon.cpp
    cashflows/indexedcashflow.cpp
    cashflows/inflationcoupon.cpp
    cashflows/inflationcouponpricer.cpp
    cashflows/lineartsrpricer.cpp
    cashflows/overnightindexedcoupon.cpp
    cashflows/rangeaccrual.cpp
    cashflows/replication.cpp
    cashflows/simplecashflow.cpp
    cashflows/timebasket.cpp
    cashflows/subperiodcoupon.cpp
    cashflows/yoyinflationcoupon.cpp
    cashflows/zeroinflationcashflow.cpp
    currencies/africa.cpp
    currencies/america.cpp
    currencies/asia.cpp
    currencies/crypto.cpp
    currencies/europe.cpp
    currencies/exchangeratemanager.cpp
    currencies/oceania.cpp
    currency.cpp
    discretizedasset.cpp
    errors.cpp
    event.cpp
    exchangerate.cpp
    exercise.cpp
    experimental/amortizingbonds/amortizingcmsratebond.cpp
    experimental/amortizingbonds/amortizingfixedratebond.cpp
    experimental/amortizingbonds/amortizingfloatingratebond.cpp
    experimental/asian/analytic_cont_geom_av_price_heston.cpp
    experimental/asian/analytic_discr_geom_av_price_heston.cpp
    experimental/averageois/arithmeticaverageois.cpp
    experimental/averageois/arithmeticoisratehelper.cpp
    experimental/averageois/averageoiscouponpricer.cpp
    experimental/averageois/makearithmeticaverageois.cpp
    experimental/barrieroption/analyticdoublebarrierbinaryengine.cpp
    experimental/barrieroption/analyticdoublebarrierengine.cpp
    experimental/barrieroption/mcdoublebarrierengine.cpp
    experimental/barrieroption/discretizeddoublebarrieroption.cpp
    experimental/barrieroption/doublebarrieroption.cpp
    experimental/barrieroption/doublebarriertype.cpp
    experimental/barrieroption/perturbativebarrieroptionengine.cpp
    experimental/barrieroption/quantodoublebarrieroption.cpp
    experimental/barrieroption/suowangdoublebarrierengine.cpp
    experimental/barrieroption/vannavolgabarrierengine.cpp
    experimental/basismodels/swaptioncfs.cpp
    experimental/basismodels/tenoroptionletvts.cpp
    experimental/basismodels/tenorswaptionvts.cpp
    experimental/callablebonds/blackcallablebondengine.cpp
    experimental/callablebonds/callablebond.cpp
    experimental/callablebonds/callablebondconstantvol.cpp
    experimental/callablebonds/callablebondvolstructure.cpp
    experimental/callablebonds/discretizedcallablefixedratebond.cpp
    experimental/callablebonds/treecallablebondengine.cpp
    experimental/catbonds/catbond.cpp
    experimental/catbonds/catrisk.cpp
    experimental/catbonds/montecarlocatbondengine.cpp
    experimental/catbonds/riskynotional.cpp
    experimental/commodities/commodity.cpp
    experimental/commodities/commoditycashflow.cpp
    experimental/commodities/commoditycurve.cpp
    experimental/commodities/commodityindex.cpp
    experimental/commodities/commoditypricinghelpers.cpp
    experimental/commodities/commoditysettings.cpp
    experimental/commodities/commoditytype.cpp
    experimental/commodities/commodityunitcost.cpp
    experimental/commodities/dateinterval.cpp
    experimental/commodities/energybasisswap.cpp
    experimental/commodities/energycommodity.cpp
    experimental/commodities/energyfuture.cpp
    experimental/commodities/energyswap.cpp
    experimental/commodities/energyvanillaswap.cpp
    experimental/commodities/paymentterm.cpp
    experimental/commodities/quantity.cpp
    experimental/commodities/unitofmeasure.cpp
    experimental/commodities/unitofmeasureconversion.cpp
    experimental/commodities/unitofmeasureconversionmanager.cpp
    experimental/coupons/cmsspreadcoupon.cpp
    experimental/coupons/digitalcmsspreadcoupon.cpp
    experimental/coupons/lognormalcmsspreadpricer.cpp
    experimental/coupons/proxyibor.cpp
    experimental/coupons/quantocouponpricer.cpp
    experimental/coupons/strippedcapflooredcoupon.cpp
    experimental/coupons/swapspreadindex.cpp
    experimental/credit/basecorrelationstructure.cpp
    experimental/credit/basket.cpp
    experimental/credit/blackcdsoptionengine.cpp
    experimental/credit/cdo.cpp
    experimental/credit/cdsoption.cpp
    experimental/credit/correlationstructure.cpp
    experimental/credit/defaultevent.cpp
    experimental/credit/defaultprobabilitykey.cpp
    experimental/credit/defaulttype.cpp
    experimental/credit/distribution.cpp
    experimental/credit/gaussianlhplossmodel.cpp
    experimental/credit/integralcdoengine.cpp
    experimental/credit/integralntdengine.cpp
    experimental/credit/issuer.cpp
    experimental/credit/lossdistribution.cpp
    experimental/credit/midpointcdoengine.cpp
    experimental/credit/nthtodefault.cpp
    experimental/credit/onefactorcopula.cpp
    experimental/credit/onefactorgaussiancopula.cpp
    experimental/credit/onefactorstudentcopula.cpp
    experimental/credit/pool.cpp
    experimental/credit/randomdefaultmodel.cpp
    experimental/credit/recoveryratemodel.cpp
    experimental/credit/recoveryratequote.cpp
    experimental/credit/riskyassetswap.cpp
    experimental/credit/riskyassetswapoption.cpp
    experimental/credit/riskybond.cpp
    experimental/credit/syntheticcdo.cpp
    experimental/exoticoptions/analyticamericanmargrabeengine.cpp
    experimental/exoticoptions/analyticcomplexchooserengine.cpp
    experimental/exoticoptions/analyticcompoundoptionengine.cpp
    experimental/exoticoptions/analyticeuropeanmargrabeengine.cpp
    experimental/exoticoptions/analyticholderextensibleoptionengine.cpp
    experimental/exoticoptions/analyticpartialtimebarrieroptionengine.cpp
    experimental/exoticoptions/analyticpdfhestonengine.cpp
    experimental/exoticoptions/analyticsimplechooserengine.cpp
    experimental/exoticoptions/analytictwoassetbarrierengine.cpp
    experimental/exoticoptions/analytictwoassetcorrelationengine.cpp
    experimental/exoticoptions/analyticwriterextensibleoptionengine.cpp
    experimental/exoticoptions/complexchooseroption.cpp
    experimental/exoticoptions/compoundoption.cpp
    experimental/exoticoptions/continuousarithmeticasianlevyengine.cpp
    experimental/exoticoptions/continuousarithmeticasianvecerengine.cpp
    experimental/exoticoptions/everestoption.cpp
    experimental/exoticoptions/himalayaoption.cpp
    experimental/exoticoptions/holderextensibleoption.cpp
    experimental/exoticoptions/kirkspreadoptionengine.cpp
    experimental/exoticoptions/margrabeoption.cpp
    experimental/exoticoptions/mceverestengine.cpp
    experimental/exoticoptions/mchimalayaengine.cpp
    experimental/exoticoptions/mcpagodaengine.cpp
    experimental/exoticoptions/pagodaoption.cpp
    experimental/exoticoptions/partialtimebarrieroption.cpp
    experimental/exoticoptions/simplechooseroption.cpp
    experimental/exoticoptions/twoassetbarrieroption.cpp
    experimental/exoticoptions/twoassetcorrelationoption.cpp
    experimental/exoticoptions/writerextensibleoption.cpp
    experimental/finitedifferences/dynprogvppintrinsicvalueengine.cpp
    experimental/finitedifferences/fdextoujumpvanillaengine.cpp
    experimental/finitedifferences/fdhestondoublebarrierengine.cpp
    experimental/finitedifferences/fdklugeextouspreadengine.cpp
    experimental/finitedifferences/fdmblackscholesfwdop.cpp
    experimental/finitedifferences/fdmdupire1dop.cpp
    experimental/finitedifferences/fdmextendedornsteinuhlenbeckop.cpp
    experimental/finitedifferences/fdmextoujumpop.cpp
    experimental/finitedifferences/fdmextoujumpsolver.cpp
    experimental/finitedifferences/fdmhestonfwdop.cpp
    experimental/finitedifferences/fdmhestongreensfct.cpp
    experimental/finitedifferences/fdmklugeextouop.cpp
    experimental/finitedifferences/fdmsquarerootfwdop.cpp
    experimental/finitedifferences/fdmvppstartlimitstepcondition.cpp
    experimental/finitedifferences/fdmvppstepcondition.cpp
    experimental/finitedifferences/fdmvppstepconditionfactory.cpp
    experimental/finitedifferences/fdmzabrop.cpp
    experimental/finitedifferences/fdornsteinuhlenbeckvanillaengine.cpp
    experimental/finitedifferences/fdsimpleextoujumpswingengine.cpp
    experimental/finitedifferences/fdsimpleextoustorageengine.cpp
    experimental/finitedifferences/fdsimpleklugeextouvppengine.cpp
    experimental/finitedifferences/glued1dmesher.cpp
    experimental/finitedifferences/vanillavppoption.cpp
    experimental/forward/analytichestonforwardeuropeanengine.cpp
    experimental/fx/blackdeltacalculator.cpp
    experimental/fx/deltavolquote.cpp
    experimental/inflation/cpicapfloorengines.cpp
    experimental/inflation/cpicapfloortermpricesurface.cpp
    experimental/inflation/yoycapfloortermpricesurface.cpp
    experimental/inflation/yoyoptionlethelpers.cpp
    experimental/lattices/extendedbinomialtree.cpp
    experimental/math/convolvedstudentt.cpp
    experimental/math/expm.cpp
    experimental/math/fireflyalgorithm.cpp
    experimental/math/gaussiancopulapolicy.cpp
    experimental/math/gaussiannoncentralchisquaredpolynomial.cpp
    experimental/math/multidimintegrator.cpp
    experimental/math/multidimquadrature.cpp
    experimental/math/particleswarmoptimization.cpp
    experimental/math/piecewiseintegral.cpp
    experimental/math/tcopulapolicy.cpp
    experimental/math/zigguratrng.cpp
    experimental/mcbasket/adaptedpathpayoff.cpp
    experimental/mcbasket/longstaffschwartzmultipathpricer.cpp
    experimental/mcbasket/mcpathbasketengine.cpp
    experimental/mcbasket/pathmultiassetoption.cpp
    experimental/models/hestonslvfdmmodel.cpp
    experimental/models/hestonslvmcmodel.cpp
    experimental/models/normalclvmodel.cpp
    experimental/models/squarerootclvmodel.cpp
    experimental/processes/extendedblackscholesprocess.cpp
    experimental/processes/extendedornsteinuhlenbeckprocess.cpp
    experimental/processes/extouwithjumpsprocess.cpp
    experimental/processes/gemanroncoroniprocess.cpp
    experimental/processes/hestonslvprocess.cpp
    experimental/processes/klugeextouprocess.cpp
    experimental/processes/vegastressedblackscholesprocess.cpp
    experimental/risk/creditriskplus.cpp
    experimental/risk/sensitivityanalysis.cpp
    experimental/shortrate/generalizedhullwhite.cpp
    experimental/shortrate/generalizedornsteinuhlenbeckprocess.cpp
    experimental/swaptions/haganirregularswaptionengine.cpp
    experimental/swaptions/irregularswap.cpp
    experimental/swaptions/irregularswaption.cpp
    experimental/termstructures/basisswapratehelpers.cpp
    experimental/termstructures/crosscurrencyratehelpers.cpp
    experimental/variancegamma/analyticvariancegammaengine.cpp
    experimental/variancegamma/fftengine.cpp
    experimental/variancegamma/fftvanillaengine.cpp
    experimental/variancegamma/fftvariancegammaengine.cpp
    experimental/variancegamma/variancegammamodel.cpp
    experimental/variancegamma/variancegammaprocess.cpp
    experimental/varianceoption/integralhestonvarianceoptionengine.cpp
    experimental/varianceoption/varianceoption.cpp
    experimental/volatility/abcdatmvolcurve.cpp
    experimental/volatility/blackatmvolcurve.cpp
    experimental/volatility/blackvolsurface.cpp
    experimental/volatility/equityfxvolsurface.cpp
    experimental/volatility/extendedblackvariancecurve.cpp
    experimental/volatility/extendedblackvariancesurface.cpp
    experimental/volatility/interestratevolsurface.cpp
    experimental/volatility/noarbsabr.cpp
    experimental/volatility/noarbsabrabsprobs.cpp
    experimental/volatility/noarbsabrinterpolatedsmilesection.cpp
