=== Examples/CDS/CMakeLists.txt ===
add_executable(CDS CDS.cpp)
target_link_libraries(CDS ql_library ${QL_EXAMPLES_LIBRARIES})
if (QL_INSTALL_EXAMPLES)
    install(TARGETS CDS RUNTIME DESTINATION ${QL_INSTALL_EXAMPLESDIR})
endif()
