=== debian/changelog ===
quantlib (1.25-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 18 Jan 2022 09:49:12 -0600

quantlib (1.24.99-1) experimental; urgency=medium

  * New upstream release candidate 1.25-rc

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 11 Jan 2022 09:57:58 -0600

quantlib (1.24-1.2104.1) hirsute; urgency=medium

  * PPA build for Ubuntu 21.04 ("hirsute")

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 20 Oct 2021 00:07:41 -0500

quantlib (1.24-1.2004) focal; urgency=medium

  * PPA build for Ubuntu 20.04 ("focal")

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 19 Oct 2021 08:54:52 -0500

quantlib (1.24-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Update Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 19 Oct 2021 07:31:54 -0500

quantlib (1.23-1.2104.1) hirsute; urgency=medium

  * PPA build for Ubuntu 21.04 ("hirsute")

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 26 Aug 2021 08:01:30 -0500
